package main

//go:generate folder2go web webGenerated
import (
	"log"
	"net/http"

	"dev.hexasoftware.com/stdio/wsrpc"
	"dev.hexasoftware.com/stdio/wsrpc/sample/basic/webGenerated"
)

func MyCliFunc(cli *wsrpc.ClientCtx) {

	cli.Define("btn1.click", func(param ...interface{}) interface{} {
		log.Println("Async button clicked")
		return "ok"

	})
	ret := cli.Call("Hello", wsrpc.DataObj{
		"couldbe": "interface",
	})
	t := <-ret

	log.Println("Response:", t)
}

func main() {
	var mux = http.NewServeMux()

	wsrpc.RegisterTo(mux, MyCliFunc)
	mux.HandleFunc("/", webGenerated.AssetHandleFunc)

	log.Println("Listening :8080")
	http.ListenAndServe(":8080", mux)

}
